Index: trunk/ab5.0/abdev/abdev/CIEsink.h
===================================================================
--- trunk/ab5.0/abdev/abdev/CIEsink.h	(revision 484)
+++ trunk/ab5.0/abdev/abdev/CIEsink.h	(revision 489)
@@ -1,8 +1,3 @@
 #include <atlbase.h>	// ATL基本機能用ヘッダファイル
-
-// ATLを使用するために必要なグローバル変数
-// この変数名は、必ず、この名前で無ければなりません。
-extern CComModule	_Module;
-
 #include <atlcom.h>		// ATL COM共通用ヘッダファイル
 #include <atlhost.h>	// ATL コンテナ機能サポート用ヘッダファイル
@@ -67,2 +62,3 @@
 };
 
+
Index: trunk/ab5.0/abdev/abdev/SubOperation.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/SubOperation.cpp	(revision 484)
+++ trunk/ab5.0/abdev/abdev/SubOperation.cpp	(revision 489)
@@ -1436,4 +1436,16 @@
 		prc->left,prc->top,prc->right-prc->left,prc->bottom-prc->top,
 		hwnd,0,hInst,0);
+   LPTSTR lpBuffer;
+    FormatMessage(
+        FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,
+        NULL,
+        GetLastError(),
+        LANG_USER_DEFAULT,
+//      MAKELANGID(LANG_NEUTRAL, SUBLANG_SYS_DEFAULT),
+        (LPTSTR)&lpBuffer,
+        0,
+        NULL );
+    MessageBox(hwnd, lpBuffer, "error message", MB_ICONHAND|MB_OK);
+    LocalFree(lpBuffer);
 	hProjectView=CreateWindowEx(WS_EX_STATICEDGE,"ProjectView","ProjectView",
 		WS_CHILD|WS_CLIPCHILDREN,
Index: trunk/ab5.0/abdev/abdev/WebSearch.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/WebSearch.cpp	(revision 484)
+++ trunk/ab5.0/abdev/abdev/WebSearch.cpp	(revision 489)
@@ -616,6 +616,4 @@
 ////////////////////////////
 
-CComModule _Module;
-
 BEGIN_OBJECT_MAP(ObjectMap)
 END_OBJECT_MAP()
@@ -772,6 +770,9 @@
 	lpszNowUrl=0;
 	bShow=0;
-
+/*
+	TODO: ここをしっかりしないと動きませーん
+	extern CComModule _Module;
 	_Module.Init(ObjectMap, hInst);
+*/
 
 	//タブを生成
Index: trunk/ab5.0/abdev/abdev/abdev.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/abdev.cpp	(revision 484)
+++ trunk/ab5.0/abdev/abdev/abdev.cpp	(revision 489)
@@ -1391,4 +1391,6 @@
 	}
 }
+
+WNDPROC oldMainFrameWndProc;
 LRESULT CALLBACK WindowFunc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	int i,i2,i3,WndNum;
@@ -1424,16 +1426,4 @@
 
 	switch(message){
-		case WM_CREATE:
-			SetupWindow(hwnd);
-
-			//テキストエディタフォント設定
-			ResetTextEditFont(hwnd);
-
-			//バックアップ用タイマーを設定（10秒に一回）
-			SetTimer(hwnd,ID_TIMER_BACKUP,10000,NULL);
-
-			return 0;
-
-
 		case WM_TIMER:
 			//Pro版は自動バックアップ及び復元機能を有効にする
@@ -2821,5 +2811,5 @@
 			}
 #endif
-			if(pobj_SideWeb->bShow){
+			if( pobj_SideWeb && pobj_SideWeb->bShow){
 				//SideWebとMDIクライアントの境目のサイズ変更ライン
 				pobj_SideWeb->GetRect(&rect);
@@ -2933,5 +2923,6 @@
 			return 0;
 	}
-	return DefFrameProc(hwnd,hClient,message,wParam,lParam);
+
+	return CallWindowProc( oldMainFrameWndProc, hwnd, message, wParam, lParam );
 }
 
@@ -2972,5 +2963,5 @@
 	hGrayBrush_LineNumber=CreateSolidBrush(RGB(220,220,220));
 
-	if(!RegWndClass(WindowFunc,"ProjectEditor",(HBRUSH)COLOR_APPWORKSPACE+1,FLAG_DBLCLK)) return 0;
+	//if(!RegWndClass(WindowFunc,"ProjectEditorClass",(HBRUSH)COLOR_APPWORKSPACE+1,FLAG_DBLCLK)) return 0;
 	if(!RegWndClass(MDIClientWindow_TextEdit,"MDIClientWindow_TextEdit",(HBRUSH)GetStockObject(WHITE_BRUSH),FLAG_DBLCLK)) return 0;
 	if(!RegWndClass(MethodCheckWindow,"MethodCheckWindow",(HBRUSH)GetStockObject(WHITE_BRUSH),FLAG_DBLCLK)) return 0;
@@ -3001,4 +2992,7 @@
 	if(!RegWndClass(SideWebProc,"SideWeb",(HBRUSH)COLOR_APPWORKSPACE+1,FLAG_DBLCLK)) return 0;
 
+	ActiveBasic::IDE::Program::Main();
+
+	//return 0;
 
 
@@ -3008,9 +3002,14 @@
 	RECT *prc;
 	prc=&pobj_nv->StartupWindowRect;
-	hOwner=CreateWindowEx(WS_EX_ACCEPTFILES,"ProjectEditor",APPLICATION_NAME,
+	/*
+	hOwner=CreateWindowEx(WS_EX_ACCEPTFILES,"ProjectEditorClass",APPLICATION_NAME,
 		WS_OVERLAPPEDWINDOW|WS_CLIPCHILDREN,
 		prc->left, prc->top,
 		prc->right-prc->left, prc->bottom-prc->top,
 		HWND_DESKTOP,pobj_MainMenu->hMenu,hInst,NULL);
+		*/
+
+	//バックアップ用タイマーを設定（10秒に一回）
+	SetTimer(hOwner,ID_TIMER_BACKUP,10000,NULL);
 
 	SendMessage(hOwner,WM_SETICON,ICON_SMALL,(long)hOwnerIcon);
Index: trunk/ab5.0/abdev/abdev/abdev.vcproj
===================================================================
--- trunk/ab5.0/abdev/abdev/abdev.vcproj	(revision 484)
+++ trunk/ab5.0/abdev/abdev/abdev.vcproj	(revision 489)
@@ -426,265 +426,21 @@
 			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
 			>
-			<File
-				RelativePath=".\abdev.cpp"
-				>
-			</File>
-			<File
-				RelativePath="Backup.cpp"
-				>
-				<FileConfiguration
-					Name="TheText_Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="TheText_Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="DialogBoxes.cpp"
-				>
-				<FileConfiguration
-					Name="TheText_Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="TheText_Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="DocumentAdvice.cpp"
-				>
-				<FileConfiguration
-					Name="TheText_Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="TheText_Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="FileOperation.cpp"
-				>
-				<FileConfiguration
-					Name="TheText_Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="TheText_Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="History.cpp"
-				>
-				<FileConfiguration
-					Name="TheText_Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="TheText_Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath=".\stdafx.cpp"
-				>
-				<FileConfiguration
-					Name="TheText_Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="TheText_Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						UsePrecompiledHeader="1"
-					/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="SubOperation.cpp"
-				>
-				<FileConfiguration
-					Name="TheText_Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="TheText_Debug|Win32"
-					>
-					<Tool
-						Name="VCCLCompilerTool"
-						PreprocessorDefinitions=""
-					/>
-				</FileConfiguration>
-			</File>
 			<Filter
-				Name="コンパイラ・デバッガ通信"
+				Name="Window Components"
 				>
 				<File
-					RelativePath="Attach.cpp"
+					RelativePath=".\src\WindowComponents\MdiWindow.cpp"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="old"
+				>
+				<File
+					RelativePath=".\abdev.cpp"
+					>
+				</File>
+				<File
+					RelativePath="Backup.cpp"
 					>
 					<FileConfiguration
@@ -722,9 +478,5 @@
 				</File>
 				<File
-					RelativePath="Attach.h"
-					>
-				</File>
-				<File
-					RelativePath="Debugger.cpp"
+					RelativePath="DialogBoxes.cpp"
 					>
 					<FileConfiguration
@@ -762,13 +514,5 @@
 				</File>
 				<File
-					RelativePath="Debugger.h"
-					>
-				</File>
-			</Filter>
-			<Filter
-				Name="プロジェクト解析"
-				>
-				<File
-					RelativePath="ProjectControl.cpp"
+					RelativePath="DocumentAdvice.cpp"
 					>
 					<FileConfiguration
@@ -806,5 +550,5 @@
 				</File>
 				<File
-					RelativePath="Resource.cpp"
+					RelativePath="FileOperation.cpp"
 					>
 					<FileConfiguration
@@ -842,5 +586,5 @@
 				</File>
 				<File
-					RelativePath="WindowControl.cpp"
+					RelativePath="History.cpp"
 					>
 					<FileConfiguration
@@ -877,166 +621,42 @@
 					</FileConfiguration>
 				</File>
-				<Filter
-					Name="クラスビュー"
-					>
-					<File
-						RelativePath="CClassInfo.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="ClassTree.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-				</Filter>
-				<Filter
-					Name="ファイルビュー"
-					>
-					<File
-						RelativePath="CFileInfo.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="FileTree.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="FileTree.h"
-						>
-					</File>
-				</Filter>
-			</Filter>
-			<Filter
-				Name="RADエディタ"
-				>
 				<File
-					RelativePath="DrawWindow.cpp"
+					RelativePath=".\stdafx.cpp"
+					>
+					<FileConfiguration
+						Name="TheText_Release|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="1"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Debug|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="1"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="1"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="TheText_Debug|Win32"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+							UsePrecompiledHeader="1"
+						/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="SubOperation.cpp"
 					>
 					<FileConfiguration
@@ -1073,669 +693,9 @@
 					</FileConfiguration>
 				</File>
-				<File
-					RelativePath="MessageCallOperation.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="Rad_UndoRedo.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="RadProc.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="RadSupport.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="RadToolsAndPropertyProc.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-			</Filter>
-			<Filter
-				Name="メニューエディタ"
-				>
-				<File
-					RelativePath="MenuProc.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-			</Filter>
-			<Filter
-				Name="アイコンエディタ"
-				>
-				<File
-					RelativePath="IconEditor.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="IconEditor_Color.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="IconEditor_Main.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="IconEditor_Tool.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="IconEditor_UndoRedo.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-			</Filter>
-			<Filter
-				Name="テキストエディタ"
-				>
-				<File
-					RelativePath="Caret.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="DrawBuffer.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="Print.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="Replace.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="Search.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="TextEditor.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="TextEditor_UndoRedo.cpp"
-					>
-					<FileConfiguration
-						Name="TheText_Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="TheText_Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							PreprocessorDefinitions=""
-						/>
-					</FileConfiguration>
-				</File>
 				<Filter
-					Name="イベントプロシージャ"
-					>
-					<File
-						RelativePath="TextEditor_EventProc.cpp"
+					Name="RADエディタ"
+					>
+					<File
+						RelativePath="DrawWindow.cpp"
 						>
 						<FileConfiguration
@@ -1773,5 +733,5 @@
 					</File>
 					<File
-						RelativePath="TextEditor_ImeEvent.cpp"
+						RelativePath="MessageCallOperation.cpp"
 						>
 						<FileConfiguration
@@ -1809,5 +769,5 @@
 					</File>
 					<File
-						RelativePath="TextEditor_KeyEvent.cpp"
+						RelativePath="Rad_UndoRedo.cpp"
 						>
 						<FileConfiguration
@@ -1845,5 +805,77 @@
 					</File>
 					<File
-						RelativePath="TextEditor_MouseEvent.cpp"
+						RelativePath="RadProc.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="RadSupport.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="RadToolsAndPropertyProc.cpp"
 						>
 						<FileConfiguration
@@ -1882,8 +914,8 @@
 				</Filter>
 				<Filter
-					Name="コード解析(Basic)"
-					>
-					<File
-						RelativePath="analysis.cpp"
+					Name="アイコンエディタ"
+					>
+					<File
+						RelativePath="IconEditor.cpp"
 						>
 						<FileConfiguration
@@ -1921,9 +953,5 @@
 					</File>
 					<File
-						RelativePath=".\CodeFormatter.cpp"
-						>
-					</File>
-					<File
-						RelativePath="Complement.cpp"
+						RelativePath="IconEditor_Color.cpp"
 						>
 						<FileConfiguration
@@ -1961,5 +989,5 @@
 					</File>
 					<File
-						RelativePath="EndPairCommandComplement.cpp"
+						RelativePath="IconEditor_Main.cpp"
 						>
 						<FileConfiguration
@@ -1997,5 +1025,41 @@
 					</File>
 					<File
-						RelativePath="ParameterHint.cpp"
+						RelativePath="IconEditor_Tool.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="IconEditor_UndoRedo.cpp"
 						>
 						<FileConfiguration
@@ -2034,8 +1098,8 @@
 				</Filter>
 				<Filter
-					Name="コード解析(HTML)"
-					>
-					<File
-						RelativePath="HtmlAnalysis.cpp"
+					Name="コンパイラ・デバッガ通信"
+					>
+					<File
+						RelativePath="Attach.cpp"
 						>
 						<FileConfiguration
@@ -2073,13 +1137,53 @@
 					</File>
 					<File
-						RelativePath="HtmlAnalysis.h"
+						RelativePath="Attach.h"
+						>
+					</File>
+					<File
+						RelativePath="Debugger.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="Debugger.h"
 						>
 					</File>
 				</Filter>
 				<Filter
-					Name="文字コード変換"
-					>
-					<File
-						RelativePath="nkf_class.cpp"
+					Name="テキストエディタ"
+					>
+					<File
+						RelativePath="Caret.cpp"
 						>
 						<FileConfiguration
@@ -2117,17 +1221,801 @@
 					</File>
 					<File
-						RelativePath="nkf_class.h"
-						>
-					</File>
+						RelativePath="DrawBuffer.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="Print.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="Replace.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="Search.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="TextEditor.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="TextEditor_UndoRedo.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<Filter
+						Name="イベントプロシージャ"
+						>
+						<File
+							RelativePath="TextEditor_EventProc.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="TextEditor_ImeEvent.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="TextEditor_KeyEvent.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="TextEditor_MouseEvent.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+					<Filter
+						Name="コード解析(Basic)"
+						>
+						<File
+							RelativePath="analysis.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath=".\CodeFormatter.cpp"
+							>
+						</File>
+						<File
+							RelativePath="Complement.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="EndPairCommandComplement.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="ParameterHint.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+					<Filter
+						Name="コード解析(HTML)"
+						>
+						<File
+							RelativePath="HtmlAnalysis.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="HtmlAnalysis.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="文字コード変換"
+						>
+						<File
+							RelativePath="nkf_class.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="nkf_class.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="Web検索"
+						>
+						<File
+							RelativePath="CIEsink.h"
+							>
+						</File>
+						<File
+							RelativePath="WebSearch.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="WebSearch.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="文字カウント"
+						>
+						<File
+							RelativePath="StringCount.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+					<Filter
+						Name="ルーラー"
+						>
+						<File
+							RelativePath="Ruler.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="Ruler.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="正規表現"
+						>
+						<File
+							RelativePath="BREGEXP.H"
+							>
+						</File>
+						<File
+							RelativePath="reg_exp.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+					<Filter
+						Name="MDIクライアント管理クラス"
+						>
+						<File
+							RelativePath=".\MdiTextEdit.cpp"
+							>
+						</File>
+						<File
+							RelativePath=".\MdiTextEdit.h"
+							>
+						</File>
+					</Filter>
 				</Filter>
 				<Filter
-					Name="Web検索"
-					>
-					<File
-						RelativePath="CIEsink.h"
-						>
-					</File>
-					<File
-						RelativePath="WebSearch.cpp"
+					Name="プロジェクト解析"
+					>
+					<File
+						RelativePath="ProjectControl.cpp"
 						>
 						<FileConfiguration
@@ -2165,13 +2053,237 @@
 					</File>
 					<File
-						RelativePath="WebSearch.h"
-						>
-					</File>
+						RelativePath="Resource.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="WindowControl.cpp"
+						>
+						<FileConfiguration
+							Name="TheText_Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="TheText_Debug|Win32"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+					</File>
+					<Filter
+						Name="クラスビュー"
+						>
+						<File
+							RelativePath="CClassInfo.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="ClassTree.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+					<Filter
+						Name="ファイルビュー"
+						>
+						<File
+							RelativePath="CFileInfo.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="FileTree.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="FileTree.h"
+							>
+						</File>
+					</Filter>
 				</Filter>
 				<Filter
-					Name="文字カウント"
-					>
-					<File
-						RelativePath="StringCount.cpp"
+					Name="メニューエディタ"
+					>
+					<File
+						RelativePath="MenuProc.cpp"
 						>
 						<FileConfiguration
@@ -2210,447 +2322,363 @@
 				</Filter>
 				<Filter
-					Name="ルーラー"
-					>
-					<File
-						RelativePath="Ruler.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="Ruler.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="正規表現"
-					>
-					<File
-						RelativePath="BREGEXP.H"
-						>
-					</File>
-					<File
-						RelativePath="reg_exp.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-				</Filter>
-				<Filter
-					Name="MDIクライアント管理クラス"
-					>
-					<File
-						RelativePath=".\MdiTextEdit.cpp"
-						>
-					</File>
-					<File
-						RelativePath=".\MdiTextEdit.h"
-						>
-					</File>
+					Name="全般"
+					>
+					<Filter
+						Name="デザイン テーマ"
+						>
+						<File
+							RelativePath="DesignTheme.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="DesignTheme.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="関連付け"
+						>
+						<File
+							RelativePath="ExtensionLink.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="ExtensionLink.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="タブコントロール"
+						>
+						<File
+							RelativePath="TabCtrl.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="TabCtrl.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="レバーコントロール"
+						>
+						<File
+							RelativePath="ChildWndOnRebar.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="rebar.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+					</Filter>
+					<Filter
+						Name="メニューコントロール"
+						>
+						<File
+							RelativePath="menu.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="menu.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="LuxCtrl"
+						>
+						<File
+							RelativePath="LuxCtrl.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="LuxCtrl.h"
+							>
+						</File>
+					</Filter>
+					<Filter
+						Name="ユーザーデータ"
+						>
+						<File
+							RelativePath="NonVolatile.cpp"
+							>
+							<FileConfiguration
+								Name="TheText_Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="Release|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
+								Name="TheText_Debug|Win32"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+						</File>
+						<File
+							RelativePath="NonVolatile.h"
+							>
+						</File>
+					</Filter>
 				</Filter>
 			</Filter>
 			<Filter
-				Name="全般"
+				Name="Application Classes"
 				>
-				<Filter
-					Name="デザイン テーマ"
-					>
-					<File
-						RelativePath="DesignTheme.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="DesignTheme.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="関連付け"
-					>
-					<File
-						RelativePath="ExtensionLink.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="ExtensionLink.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="タブコントロール"
-					>
-					<File
-						RelativePath="TabCtrl.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="TabCtrl.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="レバーコントロール"
-					>
-					<File
-						RelativePath="ChildWndOnRebar.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="rebar.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-				</Filter>
-				<Filter
-					Name="メニューコントロール"
-					>
-					<File
-						RelativePath="menu.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="menu.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="LuxCtrl"
-					>
-					<File
-						RelativePath="LuxCtrl.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="LuxCtrl.h"
-						>
-					</File>
-				</Filter>
-				<Filter
-					Name="ユーザーデータ"
-					>
-					<File
-						RelativePath="NonVolatile.cpp"
-						>
-						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
-							Name="TheText_Debug|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-					</File>
-					<File
-						RelativePath="NonVolatile.h"
-						>
-					</File>
-				</Filter>
+				<File
+					RelativePath=".\src\MainFrame.cpp"
+					>
+				</File>
+				<File
+					RelativePath=".\src\Program.cpp"
+					>
+				</File>
+				<File
+					RelativePath=".\src\WindowAreaManager.cpp"
+					>
+				</File>
 			</Filter>
 		</Filter>
@@ -2715,5 +2743,41 @@
 				>
 				<File
+					RelativePath=".\include\MainFrame.h"
+					>
+				</File>
+				<File
 					RelativePath=".\include\Program.h"
+					>
+				</File>
+				<File
+					RelativePath=".\include\WindowAreaManager.h"
+					>
+				</File>
+				<File
+					RelativePath=".\include\WindowCollection.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="Window Components"
+				>
+				<File
+					RelativePath=".\include\WindowComponents\BaseWindow.h"
+					>
+				</File>
+				<File
+					RelativePath=".\include\WindowComponents\DockingWindow.h"
+					>
+				</File>
+				<File
+					RelativePath=".\include\WindowComponents\MdiChild.h"
+					>
+				</File>
+				<File
+					RelativePath=".\include\WindowComponents\MdiWindow.h"
+					>
+				</File>
+				<File
+					RelativePath=".\include\WindowComponents\TextView.h"
 					>
 				</File>
Index: trunk/ab5.0/abdev/abdev/include/MainFrame.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/MainFrame.h	(revision 489)
+++ trunk/ab5.0/abdev/abdev/include/MainFrame.h	(revision 489)
@@ -0,0 +1,29 @@
+#pragma once
+
+namespace ActiveBasic{ namespace IDE{
+
+
+class MainFrame
+	: public WindowComponents::BaseWindow
+{
+	WindowAreaManager wam;
+	WindowComponents::MdiWindow *mdiWindow;
+
+public:
+
+	::LRESULT OnCreate( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled );
+	::LRESULT OnClose( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled );
+	void OnSize(UINT nType, CSize size);
+	::LRESULT OnDestroy( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled );
+
+private:
+	// メッセージマップ
+	BEGIN_MSG_MAP( MainFrame )
+		MESSAGE_HANDLER( WM_CREATE, OnCreate )
+		MESSAGE_HANDLER( WM_CLOSE, OnClose )
+		MESSAGE_HANDLER( WM_DESTROY, OnDestroy )
+	END_MSG_MAP()
+};
+
+
+}}
Index: trunk/ab5.0/abdev/abdev/include/Program.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/Program.h	(revision 484)
+++ trunk/ab5.0/abdev/abdev/include/Program.h	(revision 489)
@@ -6,5 +6,18 @@
 class Program
 {
+	static MainFrame mainFrame;
+
+	static void InitializeWindow();
 public:
+	static CAppModule _Module;
+
+	static void Main();
+
+
+
+	static HWND GetMainFrameWndHandle()
+	{
+		return mainFrame.m_hWnd;
+	}
 };
 
Index: trunk/ab5.0/abdev/abdev/include/WindowAreaManager.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/WindowAreaManager.h	(revision 489)
+++ trunk/ab5.0/abdev/abdev/include/WindowAreaManager.h	(revision 489)
@@ -0,0 +1,23 @@
+#pragma once
+
+namespace ActiveBasic{ namespace IDE{
+
+
+class WindowAreaManager
+{
+	HWND hParentWnd;
+	std::vector<WindowCollection> windowCollections;
+public:
+	void SetParentWnd( HWND hParentWnd )
+	{
+		this->hParentWnd = hParentWnd;
+	}
+
+	void Add();
+	void AddMdiWindow( WindowComponents::MdiWindow *mdiWindow );
+
+	WindowComponents::MdiWindow *mdiWindow;
+};
+
+
+}}
Index: trunk/ab5.0/abdev/abdev/include/WindowCollection.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/WindowCollection.h	(revision 489)
+++ trunk/ab5.0/abdev/abdev/include/WindowCollection.h	(revision 489)
@@ -0,0 +1,23 @@
+#pragma once
+
+namespace ActiveBasic{ namespace IDE{
+
+
+class WindowCollection
+{
+	WindowComponents::MdiWindow *mdiWindow;
+	WindowComponents::BaseWindowPtrs windows;
+public:
+
+	WindowCollection()
+		: mdiWindow( NULL )
+	{
+	}
+	WindowCollection( WindowComponents::MdiWindow *mdiWindow )
+		: mdiWindow( mdiWindow )
+	{
+	}
+};
+
+
+}}
Index: trunk/ab5.0/abdev/abdev/include/WindowComponents/BaseWindow.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/WindowComponents/BaseWindow.h	(revision 489)
+++ trunk/ab5.0/abdev/abdev/include/WindowComponents/BaseWindow.h	(revision 489)
@@ -0,0 +1,20 @@
+#pragma once
+
+namespace ActiveBasic{ namespace IDE{ namespace WindowComponents{
+
+
+class BaseWindow
+	: public CWindowImpl<BaseWindow, CAxWindow>
+{
+public:
+	BaseWindow()
+	{
+	}
+	~BaseWindow()
+	{
+	}
+};
+typedef std::vector<BaseWindow *> BaseWindowPtrs;
+
+
+}}}
Index: trunk/ab5.0/abdev/abdev/include/WindowComponents/DockingWindow.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/WindowComponents/DockingWindow.h	(revision 489)
+++ trunk/ab5.0/abdev/abdev/include/WindowComponents/DockingWindow.h	(revision 489)
@@ -0,0 +1,19 @@
+#pragma once
+
+namespace ActiveBasic{ namespace IDE{ namespace WindowComponents{
+
+
+class DockingWindow
+	: public BaseWindow
+{
+public:
+	DockingWindow()
+	{
+	}
+	~DockingWindow()
+	{
+	}
+};
+
+
+}}}
Index: trunk/ab5.0/abdev/abdev/include/WindowComponents/MdiChild.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/WindowComponents/MdiChild.h	(revision 489)
+++ trunk/ab5.0/abdev/abdev/include/WindowComponents/MdiChild.h	(revision 489)
@@ -0,0 +1,37 @@
+#pragma once
+
+namespace ActiveBasic{ namespace IDE{ namespace WindowComponents{
+
+
+class MdiChild
+	: public CMDIChildWindowImpl<MdiChild>
+{
+public:
+    virtual void OnFinalMessage(HWND /*hWnd*/){
+        delete this;
+    }
+
+private:
+    // メッセージマップ
+    BEGIN_MSG_MAP_EX(MdiChild)
+        MSG_WM_CREATE(OnCreate)
+        //MSG_WM_FORWARDMSG(OnForwardMsg)
+        CHAIN_MSG_MAP(CMDIChildWindowImpl<MdiChild>)
+    END_MSG_MAP()
+
+    LRESULT OnCreate(LPCREATESTRUCT lpcs){
+        SetMsgHandled(false);
+        return 1;
+    }
+/*
+    LRESULT OnForwardMsg(LPMSG pMsg, DWORD dwUserData){
+        // メッセージフィルタ処理
+        if(CMDIChildWindowImpl<MdiChild>::PreTranslateMessage(pMsg))
+            return TRUE;
+
+        return m_view.PreTranslateMessage(pMsg);
+    }*/
+};
+
+
+}}}
Index: trunk/ab5.0/abdev/abdev/include/WindowComponents/MdiWindow.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/WindowComponents/MdiWindow.h	(revision 489)
+++ trunk/ab5.0/abdev/abdev/include/WindowComponents/MdiWindow.h	(revision 489)
@@ -0,0 +1,75 @@
+#pragma once
+
+namespace ActiveBasic{ namespace IDE{ namespace WindowComponents{
+
+
+class MdiWindow
+	: public CMDIFrameWindowImpl<MdiWindow>
+	, public CUpdateUI<MdiWindow>
+	, public CMessageFilter
+	, public CIdleHandler
+{
+public:
+    virtual BOOL PreTranslateMessage(MSG* pMsg){
+        if(CMDIFrameWindowImpl<MdiWindow>::PreTranslateMessage(pMsg))
+            return TRUE;
+
+        // アクティブな子ウィンドウにメッセージフィルタの機会を与える
+        HWND hWnd = MDIGetActive();
+        if(hWnd != NULL)
+            return (BOOL)::SendMessage(hWnd, WM_FORWARDMSG, 0, (LPARAM)pMsg);
+
+        return FALSE;
+    }
+
+    virtual BOOL OnIdle(){
+        UIUpdateToolBar();
+        UIUpdateStatusBar();
+        return FALSE;
+    }
+
+    BEGIN_UPDATE_UI_MAP(MdiWindow)
+        // エントリなし
+    END_UPDATE_UI_MAP()
+
+    BEGIN_MSG_MAP_EX(MdiWindow)
+        MSG_WM_CREATE(OnCreate)
+        COMMAND_ID_HANDLER_EX(ID_APP_EXIT, OnFileExit)
+        COMMAND_ID_HANDLER_EX(ID_FILE_NEW, OnFileNew)
+        COMMAND_ID_HANDLER_EX(ID_WINDOW_CASCADE, OnWindowCascade)
+        COMMAND_ID_HANDLER_EX(ID_WINDOW_TILE_HORZ, OnWindowTile)
+        COMMAND_ID_HANDLER_EX(ID_WINDOW_ARRANGE, OnWindowArrangeIcons)
+        CHAIN_MSG_MAP(CUpdateUI<MdiWindow>)
+        CHAIN_MSG_MAP(CMDIFrameWindowImpl<MdiWindow>)
+    END_MSG_MAP()
+
+    LRESULT OnCreate(LPCREATESTRUCT lpcs);
+
+    void OnFileExit(UINT uNotifyCode, int nID, HWND hWndCtl){
+        PostMessage(WM_CLOSE);
+    }
+
+    void OnFileNew(UINT uNotifyCode, int nID, HWND hWndCtl){
+        // 子ウィンドウを作成
+        MdiChild *child = new MdiChild();
+        child->CreateEx( m_hWndClient );
+    }
+
+    void OnWindowCascade(UINT uNotifyCode, int nID, HWND hWndCtl){
+        // 子ウィンドウを重ねて表示
+        MDICascade();
+    }
+
+    void OnWindowTile(UINT uNotifyCode, int nID, HWND hWndCtl){
+        // 子ウィンドウを上下に並べて表示
+        MDITile();
+    }
+
+    void OnWindowArrangeIcons(UINT uNotifyCode, int nID, HWND hWndCtl){
+        // 最小化された子ウィンドウのアイコンを整列
+        MDIIconArrange();
+    }
+};
+
+
+}}}
Index: trunk/ab5.0/abdev/abdev/include/WindowComponents/TextView.h
===================================================================
--- trunk/ab5.0/abdev/abdev/include/WindowComponents/TextView.h	(revision 489)
+++ trunk/ab5.0/abdev/abdev/include/WindowComponents/TextView.h	(revision 489)
@@ -0,0 +1,27 @@
+#pragma once
+
+namespace ActiveBasic{ namespace IDE{ namespace WindowComponents{
+
+
+class TextView
+	: DockingWindow
+{
+public:
+	TextView()
+	{
+	}
+	~TextView()
+	{
+	}
+
+	virtual ::LRESULT OnCreate ( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled );
+
+private:
+	// メッセージマップ
+	BEGIN_MSG_MAP( TextView )
+		MESSAGE_HANDLER( WM_CREATE, OnCreate )
+	END_MSG_MAP()
+};
+
+
+}}}
Index: trunk/ab5.0/abdev/abdev/src/MainFrame.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/src/MainFrame.cpp	(revision 489)
+++ trunk/ab5.0/abdev/abdev/src/MainFrame.cpp	(revision 489)
@@ -0,0 +1,66 @@
+#include "stdafx.h"
+
+using namespace ActiveBasic::IDE;
+using namespace ActiveBasic::IDE::WindowComponents;
+
+LRESULT CALLBACK WindowFunc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam);
+void SetupWindow(HWND hwnd);
+void ResetTextEditFont(HWND hwnd);
+
+::LRESULT MainFrame::OnCreate( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled )
+{
+	// ウィンドウエリアマネージャに親ウィンドウを登録
+	wam.SetParentWnd( m_hWnd );
+
+	RECT rect;
+	GetClientRect( &rect );
+
+	// MDIベースを作成
+	mdiWindow = new MdiWindow();
+	mdiWindow->Create(
+		m_hWnd,
+		rect,
+		NULL,
+		WS_CHILD
+	);
+	wam.AddMdiWindow( mdiWindow );
+
+
+
+
+
+	extern HWND hOwner;
+	hOwner = m_hWnd;
+	extern WNDPROC oldMainFrameWndProc;
+	oldMainFrameWndProc = (WNDPROC)::GetWindowLong( hOwner, GWL_WNDPROC );
+	::SetWindowLong( hOwner, GWL_WNDPROC, (LONG)WindowFunc );
+
+	SetupWindow(hOwner);
+
+	//テキストエディタフォント設定
+	ResetTextEditFont(hOwner);
+
+
+
+	return 0;
+}
+
+void MainFrame::OnSize(UINT nType, CSize size)
+{
+	//mdiWindow->MoveWindow( 0, 0, size.cx, size.cy );
+}
+
+::LRESULT MainFrame::OnClose( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled )
+{
+	DestroyWindow();
+	return 0;
+}
+::LRESULT MainFrame::OnDestroy( ::UINT msg, ::WPARAM wParam, ::LPARAM lParam, ::BOOL& handled )
+{
+	mdiWindow->DestroyWindow();
+	delete mdiWindow;
+
+	::PostQuitMessage( 0 );
+
+	return 0;
+}
Index: trunk/ab5.0/abdev/abdev/src/Program.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/src/Program.cpp	(revision 489)
+++ trunk/ab5.0/abdev/abdev/src/Program.cpp	(revision 489)
@@ -0,0 +1,41 @@
+#include "stdafx.h"
+
+using namespace ActiveBasic::IDE;
+using namespace ActiveBasic::IDE::WindowComponents;
+
+CAppModule Program::_Module;
+
+MainFrame Program::mainFrame;
+
+#include "../Common.h"
+extern CNonVolatile *pobj_nv;
+
+void Program::InitializeWindow()
+{
+	// メインフレームを作成
+	mainFrame.Create(
+		HWND_DESKTOP,
+		pobj_nv->StartupWindowRect,
+		APPLICATION_NAME,
+		WS_OVERLAPPEDWINDOW | WS_CLIPCHILDREN | WS_VISIBLE | (pobj_nv->bWindowMax?WS_MAXIMIZE:NULL),
+		WS_EX_ACCEPTFILES
+	);
+
+	mainFrame.SetMenu( pobj_MainMenu->hMenu );
+}
+
+void Program::Main()
+{
+	_Module.Init( NULL, GetModuleHandle( NULL ) );
+
+    CMessageLoop loop;
+    _Module.AddMessageLoop( &loop );
+
+	// ウィンドウを初期化
+	InitializeWindow();
+
+	// メッセージループ
+	//loop.Run();
+
+	//_Module.RemoveMessageLoop();
+}
Index: trunk/ab5.0/abdev/abdev/src/WindowAreaManager.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/src/WindowAreaManager.cpp	(revision 489)
+++ trunk/ab5.0/abdev/abdev/src/WindowAreaManager.cpp	(revision 489)
@@ -0,0 +1,9 @@
+#include "stdafx.h"
+
+using namespace ActiveBasic::IDE;
+
+void WindowAreaManager::AddMdiWindow( WindowComponents::MdiWindow *mdiWindow )
+{
+	this->mdiWindow = mdiWindow;
+	windowCollections.push_back( WindowCollection( mdiWindow ) );
+}
Index: trunk/ab5.0/abdev/abdev/src/WindowComponents/MdiWindow.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/src/WindowComponents/MdiWindow.cpp	(revision 489)
+++ trunk/ab5.0/abdev/abdev/src/WindowComponents/MdiWindow.cpp	(revision 489)
@@ -0,0 +1,17 @@
+#include "stdafx.h"
+
+#include "../../common.h"
+
+using namespace ActiveBasic::IDE::WindowComponents;
+
+LRESULT MdiWindow::OnCreate(LPCREATESTRUCT lpcs){
+    // フレームウィンドウのビューウィンドウを作成
+    CreateMDIClient();
+
+    // メッセージループにメッセージフィルタとアイドルハンドラを追加
+	CMessageLoop* pLoop = Program::_Module.GetMessageLoop();
+    pLoop->AddMessageFilter(this);
+    pLoop->AddIdleHandler(this);
+
+    return 0;
+}
Index: trunk/ab5.0/abdev/abdev/stdafx.h
===================================================================
--- trunk/ab5.0/abdev/abdev/stdafx.h	(revision 484)
+++ trunk/ab5.0/abdev/abdev/stdafx.h	(revision 489)
@@ -19,4 +19,12 @@
 #include <io.h>
 
+#include <atlbase.h>
+#include <atlcom.h>		// ATL COM共通用ヘッダファイル
+#include <atlhost.h>	// ATL コンテナ機能サポート用ヘッダファイル
+#include <atlapp.h>
+#include <atlframe.h>	// ATL コンテナ機能サポート用ヘッダファイル
+#include <atlcrack.h>
+#include <atlmisc.h>
+
 //boost libraries
 #include <boost/foreach.hpp>
@@ -30,3 +38,13 @@
 #include <abdev/ab_common/Environment.h>
 
+#include <WindowComponents/BaseWindow.h>
+#include <WindowComponents/MdiChild.h>
+#include <WindowComponents/MdiWindow.h>
+#include <WindowComponents/DockingWindow.h>
+#include <WindowComponents/TextView.h>
+#include <WindowCollection.h>
+#include <WindowAreaManager.h>
+#include <MainFrame.h>
 #include <Program.h>
+
+#include "../res/resource.h"
